# Rate Limit

### Rate Limiting

Excessive HTTP requests will be rejected with status code 429 Too Many Requests. When you receive a 429 response, you can safely assume that the request has not been processed and can be retried at a later time. Please reduce the rate of your requests and try the request again later.

{% hint style="info" %}
Please contact support in case you need higher limits.
{% endhint %}

Our default per workspace limit (all channels in a given workspace) is&#x20;

| HTTP Method | Limit     |
| ----------- | --------- |
| GET         | 50 req/s  |
| POST        | 500 req/s |

### Rate Limiting vs Channel Limit

Individual channels may be throttled by downstream providers ([see for example, numbers in the USA)](broken://spaces/U9kiDiTGVD8kkbnKKyEn/pages/cnD9gK7RkyDbh4mNKCov) . If the request to the channels API is lower than the workspace limit but higher than the provider limit for an individual channel, the API will accept and buffer additional traffic. Buffered messages will be retried up to 10 times with an exponential delay. A successful retry will result in a SENT status update.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bird.com/api/channels-api/rate-limit.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
